aboutsummaryrefslogtreecommitdiff
path: root/tdump/scripts/makefile
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2024-08-18 01:18:18 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2024-08-18 01:18:18 +0300
commitaa0665af307420e493b09af9a97fbd36fd53ef4b (patch)
tree69368ced3ccfc5981337f03c76524f38571cfae4 /tdump/scripts/makefile
parenta44c59b6ab7b45bd52408bb67c17b6aa09aefeef (diff)
downloadtri-aa0665af307420e493b09af9a97fbd36fd53ef4b.tar.gz
tri-aa0665af307420e493b09af9a97fbd36fd53ef4b.zip
enable analyzer for tdump and fix issues
Diffstat (limited to 'tdump/scripts/makefile')
-rw-r--r--tdump/scripts/makefile11
1 files changed, 8 insertions, 3 deletions
diff --git a/tdump/scripts/makefile b/tdump/scripts/makefile
index b782cd1..fcd62e2 100644
--- a/tdump/scripts/makefile
+++ b/tdump/scripts/makefile
@@ -30,9 +30,14 @@ OBJCOPY != [ "$(LLVM)" != "0" ] \
&& echo llvm-objcopy \
|| echo $(CROSS_COMPILE)objcopy
-COMPILER != [ "$(LLVM)" != "0" ] \
- && echo clang --target="$(CROSS_COMPILE)" \
- || echo $(CROSS_COMPILE)gcc
+COMPILER != [ -n "$(CROSS_COMPILE)" ] \
+ && { \
+ [ "$(LLVM)" != "0" ] \
+ && echo clang --target="$(CROSS_COMPILE)" \
+ || echo $(CROSS_COMPILE)gcc \
+ ; \
+ } \
+ || echo $(CC)
OBFLAGS = -std=gnu17 -g